\ProvidesClass{M}

\newcommand{\defaultmode}{presentation}
\newcommand{\handoutonly}[1]{}
\newcommand{\presentationonly}[1]{#1}
\DeclareOption{presentation}{
}
\DeclareOption{handout}{
\renewcommand{\handoutonly}[1]{#1}
\renewcommand{\presentationonly}[1]{}
\renewcommand{\defaultmode}{handout}
}
\ProcessOptions

\LoadClass[compress,professionalfonts,\defaultmode]{beamer}

\newcommand{\handoutnote}[3][1em]{\handoutonly{\makebox[0em][#2]{\raisebox{#1}[0em][0em]{\textcolor{dustyred}{\tiny(\textit{#3})}}}}}
\newcommand{\extranote}[3][1em]{{\makebox[0em][#2]{\raisebox{#1}[0em][0em]{\textcolor{dustyred}{\tiny(\textit{#3})}}}}}

\RequirePackage{arev}
\RequirePackage{relsize}
\DeclareSymbolFont{altletters}{OML}{mdbch}{m}{it}
%\DeclareMathSymbol\Gamma     {\mathalpha}{altletters}{"00}
%\DeclareMathSymbol\Delta     {\mathalpha}{altletters}{"01}
\DeclareMathSymbol\Theta     {\mathalpha}{altletters}{"02}
\DeclareMathSymbol\Lambda    {\mathalpha}{altletters}{"03}
\DeclareMathSymbol\Xi        {\mathalpha}{altletters}{"04}
\DeclareMathSymbol\Pi        {\mathalpha}{altletters}{"05}
\DeclareMathSymbol\Sigma     {\mathalpha}{altletters}{"06}
\DeclareMathSymbol\Upsilon   {\mathalpha}{altletters}{"07}
%\DeclareMathSymbol\Phi       {\mathalpha}{altletters}{"08}
%\DeclareMathSymbol\Psi       {\mathalpha}{altletters}{"09}
\DeclareMathSymbol\Omega     {\mathalpha}{altletters}{"0A}
%\DeclareMathSymbol\alpha     {\mathalpha}{altletters}{"0B}
%\DeclareMathSymbol\beta      {\mathalpha}{altletters}{"0C}
\DeclareMathSymbol\gamma     {\mathalpha}{altletters}{"0D}
%\DeclareMathSymbol\delta     {\mathalpha}{altletters}{"0E}
%\DeclareMathSymbol\epsilon   {\mathalpha}{altletters}{"0F}
\DeclareMathSymbol\zeta      {\mathalpha}{altletters}{"10}
\DeclareMathSymbol\eta       {\mathalpha}{altletters}{"11}
\DeclareMathSymbol\theta     {\mathalpha}{altletters}{"12}
\DeclareMathSymbol\iota      {\mathalpha}{altletters}{"13}
%\DeclareMathSymbol\kappa     {\mathalpha}{altletters}{"14}
\DeclareMathSymbol\lambda    {\mathalpha}{altletters}{"15}
\DeclareMathSymbol\mu        {\mathalpha}{altletters}{"16}
%\DeclareMathSymbol\nu        {\mathalpha}{altletters}{"17}
\DeclareMathSymbol\xi        {\mathalpha}{altletters}{"18}
%\DeclareMathSymbol\pi        {\mathalpha}{altletters}{"19}
\DeclareMathSymbol\rho       {\mathalpha}{altletters}{"1A}
\DeclareMathSymbol\sigma     {\mathalpha}{altletters}{"1B}
%\DeclareMathSymbol\tau       {\mathalpha}{altletters}{"1C}
\DeclareMathSymbol\upsilon   {\mathalpha}{altletters}{"1D}
\DeclareMathSymbol\phi       {\mathalpha}{altletters}{"1E}
\DeclareMathSymbol\chi       {\mathalpha}{altletters}{"1F}
\DeclareMathSymbol\psi       {\mathalpha}{altletters}{"20}
\DeclareMathSymbol\omega     {\mathalpha}{altletters}{"21}
%\DeclareMathSymbol\varepsilon{\mathalpha}{altletters}{"22}
\DeclareMathSymbol\vartheta  {\mathalpha}{altletters}{"23}
\DeclareMathSymbol\varpi     {\mathalpha}{altletters}{"24}
\DeclareMathSymbol\varphi    {\mathalpha}{altletters}{"27}

\RequirePackage[absolute]{textpos}
\textblockorigin{0in}{0in}
\setlength{\TPHorizModule}{.01\paperwidth}
\setlength{\TPVertModule}{.01\paperheight}
\setbeamercolor{background canvas}{bg=}

\setbeamertemplate{navigation symbols}{}

\useoutertheme[subsection=false]{miniframes}

\definecolor{pacificorange}{cmyk}{.15,.45,1,0} %approved Pacific colors 2010
\definecolor{pacificgray}{cmyk}{0,.15,.35,.60}
\definecolor{pacificlgray}{cmyk}{0,0,.2,.4}
\definecolor{pacificcream}{cmyk}{.05,.05,.15,0}
\definecolor{deepyellow}{cmyk}{0,.17,.80,0}
\definecolor{lightblue}{cmyk}{.49,.01,0,0}
\definecolor{lightbrown}{cmyk}{.09,.15,.34,0}
\definecolor{deepviolet}{cmyk}{.79,1,0,.15}
\definecolor{deeporange}{cmyk}{0,.59,1,.18}
\definecolor{dustyred}{cmyk}{0,.7,.45,.4}
\definecolor{grassgreen}{RGB}{92,135,39}
\definecolor{pacificblue}{RGB}{59,110,143}
\definecolor{pacificgreen}{cmyk}{.15,0,.45,.30}
\definecolor{deepblue}{cmyk}{1,.57,0,2}
\definecolor{turquoise}{cmyk}{.43,0,.24,0}

\usecolortheme[named=deepviolet]{structure}
\setbeamercolor{section number projected}{fg=structure}

\newcommand{\fat}[1]{\textbf{\structure{#1}}}
\newcommand{\Fat}[1]{\fat{\large #1}}
\newcommand{\FAT}[1]{\fat{\Large #1}}
\setbeamercolor{alerted text}{fg=deeporange}
\setbeamertemplate{alerted text begin}{\bf}
\newcommand{\mathalert}[1]{\mbox{\textcolor{deeporange!50!red}{$\displaystyle #1$}}}
\newcommand{\Alert}[1]{\alert{\large #1}}
\newcommand{\ALERT}[1]{\alert{\Large #1}}

\newcommand{\orangebox}[2]{
\setbeamercolor{uppercol}{fg=white,bg=pacificorange}
\setbeamercolor{lowercol}{fg=black,bg=pacificcream}
\begin{beamerboxesrounded}[upper=uppercol,lower=lowercol,shadow=false]{#1} #2
\end{beamerboxesrounded} }

\newcommand{\violetbox}[2]{
\setbeamercolor{uppercol}{fg=white,bg=deepviolet}
\setbeamercolor{lowercol}{fg=black,bg=pacificcream}
\begin{beamerboxesrounded}[upper=uppercol,lower=lowercol,shadow=false]{ #1 }  #2
\end{beamerboxesrounded} }

\renewcommand{\arraystretch}{1.5}

\setbeamertemplate{itemize item}{$\bullet$}
\setbeamerfont{itemize/enumerate subbody}{size=\normalfont}
\setbeamertemplate{itemize/enumerate subbody begin}{\let\olditem\item\renewcommand{\item}{\setlength{\itemsep}{0.1em}\olditem}}
\setbeamertemplate{enumerate item}{(\insertenumlabel)}
\setbeamertemplate{enumerate subitem}{(\alph{enumii})}
\setlength{\leftmargini}{1.5em}
\setlength{\leftmarginii}{1em}
\setlength{\leftmarginiii}{1em}

\newenvironment{orangeitemize}{\setbeamertemplate{itemize item}{\textcolor{pacificorange}{$\bullet$}}\setbeamertemplate{itemize subitem}{\textcolor{pacificorange}{\tiny\raise1.5pt\hbox{\donotcoloroutermaths$\blacktriangleright$}}}\begin{itemize}}{\end{itemize}}

\setbeamertemplate{sections/subsections in toc}[circle]
\numberwithin{section}{part}

\newcounter{parttoctemporary}
\newcommand{\parttoc}[1]{{\setcounter{parttoctemporary}{\value{part}}\setcounter{part}{#1}{\scriptsize\insertsectionnavigationhorizontal{\textwidth}{\hspace{6mm}}{\hskip0pt plus1filll}}\setcounter{part}{\value{parttoctemporary}}}}

%\newcommand{\sectionpage}{\begin{center}\FAT{Section~\arabic{section}}\\[3em]\ALERT{\insertsection}\end{center}}

%\newcommand{\formula}[1]{\begin{align*}#1\end{align*}}
\newcommand{\tab}{\hskip0pt plus1filll\hspace*{0em}}
\newcommand{\formula}[2][]{\par\smallskip\tab$\begin{aligned}#2\end{aligned}$\tab{#1}\par\smallskip}

