#include <stdio.h>
#include <stdlib.h>
#include <math.h>

//#define SRND 1
//#define QQ sqrt(q)
//#define RND 2 * drand() - 1.0

//#define SRND 1
//#define QQ q
//#define RND tan(M_PI * drand() - M_PI_2) * q

//#define SRND 1
//#define QQ q
//#define RND q + (drand() < q/6 ? 6*log(drand()): 0.0)

#define SRND 7
#define QQ pow(q, 1.0 / 1.5)
#define RND (3 - pow(drand(), -1.0 / 1.5)) * q

inline double drand() {
 return (double)(rand()) / RAND_MAX;
}

inline double rnd(double q) {
 return RND;
}

#define MAX 1000000

int main() {
 int d = 4000;
 int N = 50 * d;
 double q = 1.0 / d, Q = QQ;
 double x, xmin, xmax;
 int i;
 FILE *dat, *max, *lad;
 srand(SRND);
 
 dat = fopen("levy.dat", "w");
 max = fopen("levy-max.dat", "w");
 lad = fopen("levy-lad.dat", "w");
 x = xmin = xmax = 0.0;
 fprintf(dat, "%lf %lf\n", 0.0, x);
 for (i = 0; i < N; i++) {
  x = x + rnd(Q);
  if (xmin > x) { xmin = x; }
  else if (xmax < x) { xmax = x; }
  fprintf(dat, "%lf %lf\n", i * q, x);
  fprintf(max, "%lf %lf\n", i * q, xmax);
  if (x == xmax) { fprintf(lad, "%lf %lf\n", i * q, x); }
 }
 fclose(dat);
 fclose(max);
 fclose(lad);
 x = (xmax - xmin) * 0.1;
 xmin -= x;
 xmax += x;

 dat = fopen("levy.gnuplot", "w");
 fprintf(dat,
"set term postscript enhanced color solid lw 2 'Times-Roman' 20;\n"
"set output 'plot.eps';\n"
"set xlabel '';\n"
"set ylabel '';\n"
"set key off;\n"
"set yrange [%lf:%lf];\n"
"set xzeroaxis lt 0 linewidth 1 linecolor rgb 'black';\n"
"plot 'levy.dat' with lines lt 0 linewidth 1 linecolor rgb 'red',\\\n"
"     'levy.dat' with points pt 7 pointsize 0.5 linecolor rgb 'black';\n"
, xmin, xmax);
 fclose(dat);

 return 0;
}
